package com.fjhx.account.entity.cost.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 费控明细
 * </p>
 *
 * @author
 * @since 2024-03-18
 */
@Getter
@Setter
@TableName("cost_control_detail")
public class CostControlDetail extends BasePo {

    /**
     * 付款说明
     */
    private String remark;

    /**
     * 供应商
     */
    private String supplierId;

    /**
     * 收款单位
     */
    private String payeeAccountId;

    /**
     * 申请备注
     */
    private String applyRemark;

    /**
     * 抵扣工资月份
     */
    private String deductionMonth;

    /**
     * 本期应付
     */
    private String currentPayable;

    /**
     * 本期应付（抵扣后）
     */
    private String currentPayableDeduction;

    /**
     * 记账科目
     */
    private String accountSubjectsId;

    /**
     * 记账金额
     */
    private String money;

    /**
     * 快递公司
     */
    private String logisticsCompanyId;

    /**
     * 开票税点
     */
    private String invoiceTaxPoint;

    /**
     * 结存预付款_含税
     */
    private String balancePrepaidTax;

    /**
     * 结存预付款
     */
    private String balancePrepaid;

    /**
     * 帐期
     */
    private String accountPeriod;

    /**
     * 本账期金额
     */
    private String accountPeriodAmount;

    /**
     * 本账期金额_含税
     */
    private String accountPeriodAmountTax;

    /**
     * 本账期调整金额
     */
    private String accountPeriodAdjustAmount;

    /**
     * 本期预付款_含税
     */
    private String currentPrepaidTax;

    /**
     * 本期预付款
     */
    private String currentPrepaid;

    /**
     * 抵扣预付款_含税
     */
    private String deductionPrepaidTax;

    /**
     * 抵扣预付款
     */
    private String deductionPrepaid;

    /**
     * 店铺id
     */
    private String shopId;

    /**
     * 费用类型
     */
    private String costType;

    /**
     * 刷单时间
     */
    private String brushingTime;

    /**
     * 推广费类型
     */
    private String promotionFeeType;

    /**
     * 税费
     */
    private String taxation;

}
