package com.fjhx.account.service.cost.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.account.entity.cost.dto.CostControlDto;
import com.fjhx.account.entity.cost.dto.CostControlSelectDto;
import com.fjhx.account.entity.cost.po.CostControl;
import com.fjhx.account.entity.cost.vo.CostControlVo;
import com.fjhx.account.mapper.cost.CostControlMapper;
import com.fjhx.account.service.cost.CostControlService;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 费控 服务实现类
 * </p>
 *
 * @author
 * @since 2024-03-18
 */
@Service
public class CostControlServiceImpl extends ServiceImpl<CostControlMapper, CostControl> implements CostControlService {

    @Override
    public Page<CostControlVo> getPage(CostControlSelectDto dto) {
        IWrapper<CostControl> wrapper = getWrapper();
        wrapper.orderByDesc("cc", CostControl::getId);
        Page<CostControlVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public CostControlVo detail(Long id) {
        CostControl CostControl = this.getById(id);
        CostControlVo result = BeanUtil.toBean(CostControl, CostControlVo.class);
        return result;
    }

    @Override
    public void add(CostControlDto costControlDto) {
        this.save(costControlDto);
    }

    @Override
    public void edit(CostControlDto costControlDto) {
        this.updateById(costControlDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
